### Function

# Shell util_create_pixbuf_from_data

#### Declaration [src]

    GdkPixbuf*
    shell_util_create_pixbuf_from_data (
      const guchar* data,
      gsize len,
      GdkColorspace colorspace,
      gboolean has_alpha,
      int bits_per_sample,
      int width,
      int height,
      int rowstride
    )

#### Description [src]

Workaround for non-introspectability of gdk_pixbuf_from_data().

#### Parameters

`data`

  Type: An array of `guint8`

  No description available.

  The length of the array is specified in the `len` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`len`

  Type: `gsize`

  No description available.

`colorspace`

  Type: `GdkColorspace`

  No description available.

`has_alpha`

  Type: `gboolean`

  No description available.

`bits_per_sample`

  Type: `int`

  No description available.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`rowstride`

  Type: `int`

  No description available.

#### Return value

Type: `GdkPixbuf`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.